<p align="center">
  <a href="http://adonisjs.com"><img src="https://cloud.githubusercontent.com/assets/2793951/19925021/865beda4-a0ee-11e6-85bb-20ccd8f72211.png" alt="AdonisJs Framework"></a>
</p>

<p align="center">
  <a href="https://www.npmjs.com/package/adonis-framework"><img src="https://img.shields.io/npm/v/adonis-framework.svg?style=flat-square" alt="Version"></a>
  <a href="https://travis-ci.org/adonisjs/adonis-framework"><img src="https://img.shields.io/travis/adonisjs/adonis-framework/master.svg?style=flat-square" alt="Build Status"></a>
  <a href="https://coveralls.io/github/adonisjs/adonis-framework?branch=master"><img src="https://img.shields.io/coveralls/adonisjs/adonis-framework/master.svg?style=flat-square" alt="Coverage Status"></a>
  <a href="https://www.npmjs.com/package/adonis-framework"><img src="https://img.shields.io/npm/dt/adonis-framework.svg?style=flat-square" alt="Downloads"></a>
  <a href="https://opensource.org/licenses/MIT"><img src="https://img.shields.io/npm/l/adonis-framework.svg?style=flat-square" alt="License"></a>
</p>

<p align="center">
  <a href="https://gitter.im/adonisjs/adonis-framework"><img src="https://img.shields.io/badge/gitter-join%20us-1DCE73.svg?style=flat-square" alt="Gitter"></a>
  <a href="https://trello.com/b/yzpqCgdl/adonis-for-humans"><img src="https://img.shields.io/badge/trello-roadmap-89609E.svg?style=flat-square" alt="Trello"></a>
  <a href="https://www.patreon.com/adonisframework"><img src="https://img.shields.io/badge/patreon-support%20AdonisJs-brightgreen.svg?style=flat-square" alt="Support AdonisJs"></a>
</p>

<br>

AdonisJs is a MVC framework for Node.js built around practical use cases to give you a perfect solution that meets all of your needs. We focus on writing elegant code and being one of the most stable frameworks in the Node Community. :evergreen_tree:

It is the first Node.js framework with support for [Dependency Injection](http://adonisjs.com/docs/controllers#_dependency_injection) and to have a lean [IoC Container](http://adonisjs.com/docs/ioc-container) to help you resolve and mock dependencies. It borrows the concept of [Service Providers](http://adonisjs.com/docs/ioc-container#_service_providers) from the popular [PHP framework Laravel](https://laravel.com) that lets you easily write scalable applications.

You can learn more about AdonisJs and all of its awesomeness on http://adonisjs.com :rocket:

<br>
<hr>
<br>

## <a name="requirements"></a>Requirements

AdonisJs is built on the top of ES2015, which makes the code more enjoyable and cleaner to read. It doesn't make use of any transpilers and depends upon Core V8 implemented features.

For these reasons, AdonisJs targets Node.js `4.0` or higher.

<br>
## <a name="getting-started"></a>Getting Started

AdonisJs provides a [CLI tool](https://github.com/adonisjs/adonis-cli) to scaffold and generate a project with all required dependencies.

```bash
$ npm i -g adonis-cli
```

```bash
$ adonis new awesome-project
$ cd awesome-project
$ npm run start
```

:point_right: [Read the Official Documentation](http://adonisjs.com/docs/installation)

<br>
## <a name="contribution-guidelines"></a>Contribution Guidelines

In favor of active development we accept contributions from everyone. You can contribute by submitting a bug, creating pull requests or even improving documentation.

You can find a complete guide to be followed strictly before submitting your pull requests in the [Official Documentation](http://adonisjs.com/docs/contributing).
